"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const qwik = require("@builder.io/qwik");
const uid = () => Math.random().toString(36).substring(6);
const ContentLoader = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const props1 = qwik._restProps(props, [
    "animate",
    "animateBegin",
    "backgroundColor",
    "backgroundOpacity",
    "baseUrl",
    "foregroundColor",
    "foregroundOpacity",
    "gradientRatio",
    "gradientDirection",
    "uniqueKey",
    "interval",
    "rtl",
    "speed",
    "style",
    "title",
    "beforeMask"
  ]);
  const fixedId = props.uniqueKey || uid();
  const idClip = `${fixedId}-diff`;
  const idGradient = `${fixedId}-animated-diff`;
  const idAria = `${fixedId}-aria`;
  const rtlStyle = props.rtl ?? false ? {
    transform: "scaleX(-1)"
  } : null;
  const keyTimes = `0; ${props.interval ?? 0.25}; 1`;
  const dur = `${props.speed ?? 1.2}s`;
  const gradientTransform = (props.gradientDirection ?? "left-right") === "top-bottom" ? "rotate(90)" : void 0;
  return /* @__PURE__ */ qwik._jsxS("svg", {
    "aria-labelledby": idAria,
    style: {
      ...props.style ?? {},
      ...rtlStyle
    },
    ...props1,
    children: [
      props.title ?? "Loading..." ? /* @__PURE__ */ qwik._jsxQ("title", {
        id: idAria
      }, null, props.title ?? "Loading...", 1, "2b_0") : null,
      qwik._fnSignal((p0) => p0.beforeMask ?? null ? p0.beforeMask ?? null : null, [
        props
      ], "p0.beforeMask??null?p0.beforeMask??null:null"),
      /* @__PURE__ */ qwik._jsxQ("rect", {
        "clip-path": `url(${props.baseUrl ?? ""}#${idClip})`,
        style: {
          fill: `url(${props.baseUrl ?? ""}#${idGradient})`
        }
      }, {
        height: "100%",
        role: "presentation",
        width: "100%",
        x: "0",
        y: "0"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("defs", null, null, [
        /* @__PURE__ */ qwik._jsxQ("clipPath", {
          id: idClip
        }, null, /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "2b_1"), 1, null),
        /* @__PURE__ */ qwik._jsxQ("linearGradient", {
          gradientTransform,
          id: idGradient
        }, null, [
          /* @__PURE__ */ qwik._jsxQ("stop", null, {
            offset: "0%",
            "stop-color": qwik._fnSignal((p0) => p0.backgroundColor ?? "#f5f6f7", [
              props
            ], 'p0.backgroundColor??"#f5f6f7"'),
            "stop-opacity": qwik._fnSignal((p0) => p0.backgroundOpacity ?? 1, [
              props
            ], "p0.backgroundOpacity??1")
          }, (props.animate ?? true) && /* @__PURE__ */ qwik._jsxQ("animate", {
            dur,
            keyTimes
          }, {
            attributeName: "offset",
            begin: qwik._fnSignal((p0) => p0.animateBegin, [
              props
            ], "p0.animateBegin"),
            repeatCount: "indefinite",
            values: qwik._fnSignal((p0) => `${-(p0.gradientRatio ?? 2)}; ${-(p0.gradientRatio ?? 2)}; 1`, [
              props
            ], "`${-(p0.gradientRatio??2)}; ${-(p0.gradientRatio??2)}; 1`")
          }, null, 3, "2b_2"), 1, null),
          /* @__PURE__ */ qwik._jsxQ("stop", null, {
            offset: "50%",
            "stop-color": qwik._fnSignal((p0) => p0.foregroundColor ?? "#eee", [
              props
            ], 'p0.foregroundColor??"#eee"'),
            "stop-opacity": qwik._fnSignal((p0) => p0.foregroundOpacity ?? 1, [
              props
            ], "p0.foregroundOpacity??1")
          }, (props.animate ?? true) && /* @__PURE__ */ qwik._jsxQ("animate", {
            dur,
            keyTimes
          }, {
            attributeName: "offset",
            begin: qwik._fnSignal((p0) => p0.animateBegin, [
              props
            ], "p0.animateBegin"),
            repeatCount: "indefinite",
            values: qwik._fnSignal((p0) => `${-(p0.gradientRatio ?? 2) / 2}; ${-(p0.gradientRatio ?? 2) / 2}; ${1 + (p0.gradientRatio ?? 2) / 2}`, [
              props
            ], "`${-(p0.gradientRatio??2)/2}; ${-(p0.gradientRatio??2)/2}; ${1+(p0.gradientRatio??2)/2}`")
          }, null, 3, "2b_3"), 1, null),
          /* @__PURE__ */ qwik._jsxQ("stop", null, {
            offset: "100%",
            "stop-color": qwik._fnSignal((p0) => p0.backgroundColor ?? "#f5f6f7", [
              props
            ], 'p0.backgroundColor??"#f5f6f7"'),
            "stop-opacity": qwik._fnSignal((p0) => p0.backgroundOpacity ?? 1, [
              props
            ], "p0.backgroundOpacity??1")
          }, (props.animate ?? true) && /* @__PURE__ */ qwik._jsxQ("animate", {
            dur,
            keyTimes
          }, {
            attributeName: "offset",
            begin: qwik._fnSignal((p0) => p0.animateBegin, [
              props
            ], "p0.animateBegin"),
            repeatCount: "indefinite",
            values: qwik._fnSignal((p0) => `0; 0; ${1 + (p0.gradientRatio ?? 2)}`, [
              props
            ], "`0; 0; ${1+(p0.gradientRatio??2)}`")
          }, null, 3, "2b_4"), 1, null)
        ], 1, null)
      ], 1, null)
    ]
  }, {
    role: "img"
  }, 0, "2b_5");
}, "ContentLoader_component_dYEEQq5S5ls"));
const ContentLoaderFacebook = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  return /* @__PURE__ */ qwik._jsxC(ContentLoader, {
    viewBox: "0 0 476 124",
    ...props,
    children: [
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "6",
        rx: "3",
        width: "88",
        x: "48",
        y: "8"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "6",
        rx: "3",
        width: "52",
        x: "48",
        y: "26"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "6",
        rx: "3",
        width: "410",
        x: "0",
        y: "56"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "6",
        rx: "3",
        width: "380",
        x: "0",
        y: "72"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "6",
        rx: "3",
        width: "178",
        x: "0",
        y: "88"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("circle", null, {
        cx: "20",
        cy: "20",
        r: "20"
      }, null, 3, null)
    ],
    [qwik._IMMUTABLE]: {
      viewBox: qwik._IMMUTABLE
    }
  }, 0, "rW_0");
}, "ContentLoaderFacebook_component_6Ljb8Qk9zyw"));
const ContentLoaderInstagram = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  return /* @__PURE__ */ qwik._jsxC(ContentLoader, {
    viewBox: "0 0 400 460",
    ...props,
    children: [
      /* @__PURE__ */ qwik._jsxQ("circle", null, {
        cx: "31",
        cy: "31",
        r: "15"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "10",
        rx: "2",
        ry: "2",
        width: "140",
        x: "58",
        y: "18"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "10",
        rx: "2",
        ry: "2",
        width: "140",
        x: "58",
        y: "34"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "400",
        rx: "2",
        ry: "2",
        width: "400",
        x: "0",
        y: "60"
      }, null, 3, null)
    ],
    [qwik._IMMUTABLE]: {
      viewBox: qwik._IMMUTABLE
    }
  }, 0, "qz_0");
}, "ContentLoaderInstagram_component_a3JZi17N7nw"));
const ContentLoaderCode = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  return /* @__PURE__ */ qwik._jsxC(ContentLoader, {
    viewBox: "0 0 340 84",
    ...props,
    children: [
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "11",
        rx: "3",
        width: "67",
        x: "0",
        y: "0"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "11",
        rx: "3",
        width: "140",
        x: "76",
        y: "0"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "11",
        rx: "3",
        width: "53",
        x: "127",
        y: "48"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "11",
        rx: "3",
        width: "72",
        x: "187",
        y: "48"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "11",
        rx: "3",
        width: "100",
        x: "18",
        y: "48"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "11",
        rx: "3",
        width: "37",
        x: "0",
        y: "71"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "11",
        rx: "3",
        width: "140",
        x: "18",
        y: "23"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "11",
        rx: "3",
        width: "173",
        x: "166",
        y: "23"
      }, null, 3, null)
    ],
    [qwik._IMMUTABLE]: {
      viewBox: qwik._IMMUTABLE
    }
  }, 0, "7O_0");
}, "ContentLoaderCode_component_h9VZjOasOcA"));
const ContentLoaderList = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  return /* @__PURE__ */ qwik._jsxC(ContentLoader, {
    viewBox: "0 0 400 110",
    ...props,
    children: [
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "10",
        rx: "3",
        ry: "3",
        width: "250",
        x: "0",
        y: "0"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "10",
        rx: "3",
        ry: "3",
        width: "220",
        x: "20",
        y: "20"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "10",
        rx: "3",
        ry: "3",
        width: "170",
        x: "20",
        y: "40"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "10",
        rx: "3",
        ry: "3",
        width: "250",
        x: "0",
        y: "60"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "10",
        rx: "3",
        ry: "3",
        width: "200",
        x: "20",
        y: "80"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "10",
        rx: "3",
        ry: "3",
        width: "80",
        x: "20",
        y: "100"
      }, null, 3, null)
    ],
    [qwik._IMMUTABLE]: {
      viewBox: qwik._IMMUTABLE
    }
  }, 0, "Sx_0");
}, "ContentLoaderList_component_3nnqbXDitGs"));
const ContentLoaderBulletList = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  return /* @__PURE__ */ qwik._jsxC(ContentLoader, {
    viewBox: "0 0 245 125",
    ...props,
    children: [
      /* @__PURE__ */ qwik._jsxQ("circle", null, {
        cx: "10",
        cy: "20",
        r: "8"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "10",
        rx: "5",
        ry: "5",
        width: "220",
        x: "25",
        y: "15"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("circle", null, {
        cx: "10",
        cy: "50",
        r: "8"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "10",
        rx: "5",
        ry: "5",
        width: "220",
        x: "25",
        y: "45"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("circle", null, {
        cx: "10",
        cy: "80",
        r: "8"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "10",
        rx: "5",
        ry: "5",
        width: "220",
        x: "25",
        y: "75"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("circle", null, {
        cx: "10",
        cy: "110",
        r: "8"
      }, null, 3, null),
      /* @__PURE__ */ qwik._jsxQ("rect", null, {
        height: "10",
        rx: "5",
        ry: "5",
        width: "220",
        x: "25",
        y: "105"
      }, null, 3, null)
    ],
    [qwik._IMMUTABLE]: {
      viewBox: qwik._IMMUTABLE
    }
  }, 0, "TL_0");
}, "ContentLoaderBulletList_component_N02ky0SRnPQ"));
exports.ContentLoader = ContentLoader;
exports.ContentLoaderBulletList = ContentLoaderBulletList;
exports.ContentLoaderCode = ContentLoaderCode;
exports.ContentLoaderFacebook = ContentLoaderFacebook;
exports.ContentLoaderInstagram = ContentLoaderInstagram;
exports.ContentLoaderList = ContentLoaderList;
